.chat-container {
  position: fixed;
  bottom: 90px;
  right: 30px;
  width: 300px;
  height: 400px;
  background-color: white;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  display: none;
  flex-direction: column;
}

.chat-header {
  background-color: #f2f2f2;
  padding: 10px;
  font-size: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.close-btn {
  cursor: pointer;
  font-size: 18px;
}

.chat-body {
  padding: 20px;
  overflow-y: scroll;
  height: calc(100% - 120px);
}

.chat-footer {
  background-color: #f2f2f2;
  display: flex;
  padding: 10px;
}

.chat-footer form {
  display: flex;
  width: 100%;
}

.chat-footer input[type="text"] {
  width: 100%;
  padding: 10px;
  border: none;
  outline: none;
  border-radius: 5px 0 0 5px;
}

.chat-footer button[type="submit"] {
  background-color: #4CAF50;
  color: white;
  padding: 10px 20px;
  border: none;
  outline: none;
  border-radius: 0 5px 5px 0;
  cursor: pointer;
}

.chat-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: #4CAF50;
  color: white;
  border: none;
  outline: none;
  padding: 10px 20px;
  border-radius: 50%;
  cursor: pointer;
}